<h1><%= @headline %></h1>


<h2>Bookmarks</h2>
<% if not @bookmarks %>
    <p>No books marked yet.</p>
<% else %>

<%= search_form_for @query, :url=>{:action=>:index}, :class=>:filter_form, :id=>:controller_filter do |f| %>
<div>
  <%= f.search_field :name_or_url_cont_any, :placeholder=>'Pattern' %>
  <%= f.submit :filter %>

  <table>
     <tr><th colspan="2">Quality</th></tr>
     <% Bookmark.ranks_for_form(:as_number=>true).each do |r|
            checked = if params[:q] and params[:q].key?(:rank_eq_any) and params[:q][:rank_eq_any].first.to_i == r.second
                        true
                    else false end
     %>
        <tr>
            <td><%= check_box_tag 'q[rank_eq_any][]', r.second, checked %></td>
            <td><%= label_tag 'q[rank_eq_any][]', r.first %></td></tr>
     <% end %>
  </table>
</div>
<% end %>


<table id='bookmarks'>
    <thead>
    <tr>
        <th><%= smr_paginate @page, @total_pages, objects_bookmark_index_path %></th>
        <th>Added</th>
        <th>Related To</th>
        <th>Actions</th>
    </tr>
    </thead>
    <tbody>
    <% @bookmarks.each do |b| %>
        <tr class="separaterows">
            <td>
              <%= link_to '+', edit_objects_bookmark_path(b.id) %>
              <%= b %><br/>
              <%= link_to truncate(b.url, :length=>40), b.url if b.url %>
            </td>
            <td><%= smr_humanize b.time_added, :time_for_humans=>true %></td>
            <td>
                <%= b.relations.map { |o| link_to o, o.link.to_url}.join(', ').html_safe %>
            </td>
            <td><%= link_to 'delete', delete_bookmark_path(:id=>b.id) %></td>
        </tr>
    <% end %>
    </tbody>
</table>
<% end %>
